Function
getOccurrence
Returns an occurence of the representative substring or a q-gram in the index text.
getOccurrence(iterator)
getOccurrence(index, shape)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a suffix tree. Types: VSTree Iterator
index | A q-gram index. Types: IndexQGram
shape | A shape object. Note: The shape stores the q-gram of the last call to hash or hashNext. Types: Shape

Return Values
A position where the representative of iterator occurs in the text (see EsaText). If iterator's container type is TIndex the return type is SAValue<TIndex>::Type.
A position where the q-gram stored in shape occurs in the text (see QGramText). If the type of index is TIndex the return type is SAValue<TIndex>::Type.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47